<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<base target="_self">
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=gbk">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    int iFormID = SzConvert.toInt(request.getParameter("FormID"));
    String ChkValue = SzConvert.toSpaceStr(request.getParameter("ChkValue"));
    String ChkNumber = SzConvert.toZeroStr(request.getParameter("ChkNumber"));
	String sType = SzConvert.toZeroStr(request.getParameter("type2"));
	String sRange = SzConvert.toZeroStr(request.getParameter("range"));
	String ReSelect = SzConvert.toZeroStr(request.getParameter("ReSelect"));
	
	String sID = SzConvert.toZeroStr(request.getParameter("txtID"));
	String sName = SzConvert.strWriteData(request.getParameter("txtName"));
		
	String sRangeInfo = "";
	
	if (!ChkNumber.equals("0") && ReSelect.equals("0")) {
		sRange = "1";
	}
	if (sRange.equals("1")) {			
		sRangeInfo = "[已选中数据:" + ChkNumber + "]";
	}
	
	BdPopedom bdPopedom = new BdPopedom();
	ArrayList list = bdPopedom.getArrayList(iFormID, ChkValue, sType, sRange, sID, sName, iDLID_SESSION, isBarManager_SESSION);	
%>
<form name="formList" method="post">
<input type="hidden" name="FormID" value="<%=iFormID%>">
<input type="hidden" name="ChkValue" value="<%=ChkValue%>">
<input type="hidden" name="ChkNumber" value="<%=ChkNumber%>">
<input type="hidden" name="ReSelect" value="1">
<table width="100%" align="center">
  <tr>
    <td>
	<%
	out.println(SzPageHelp.button("授权","javascript:Detail();"));	
    out.println(SzPageHelp.deleteButton() );
  	String s_id2[] = {"0","-1","1"};
  	String s_name2[] = {"全部","<font color='red'>本模块所有数据</font>","选中的数据"};
  	out.println("&nbsp;[数据范围]" + SzPageHelp.radioSubmit("range", s_id2, s_name2, sRange));
  	out.println(sRangeInfo + "<br>"); 
  	
    String s_id[] = {"-1", "4","0"};
  	String s_name[] = {"全部", "<font color='red'>禁止</font>","查看"};	
  	out.println("[授权类型]" +SzPageHelp.radioSubmit("type2", s_id, s_name, sType));

    %>    
    信息ID：<input type="text" class="txtClass80" name="txtID" value="<%=sID %>">
    反馈人员：<input type="text" class="txtClass80" name="txtName" value="<%=sName %>">
    <% out.println(SzPageHelp.button("确定","javascript:this.form.submit();")); %>
    <% out.println(SzPageHelp.closeButton() );  %>       
    </td>
  </tr>
</table>
<table width="650" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0" align="center"> 
  <tr class="trClassTitle">
    <td width="5" rowspan="2"><input type="checkbox" name="chkCheckAll" OnClick="javascript:CheckAll(formList, chkCheckAll, 'chkId');"></td>
    <td colspan="4">授权信息</td>
    <td colspan="5">反馈信息</td>
  </tr>
  <tr class="trClassTitle">

    <td>信息</td>
    <td>人员</td>
    <td>时间</td>
    <td>类型</td>
    <td>人员</td>
    <td>时间</td>
    <td>点击</td>       
  </tr>
  <%
  Iterator iter = null;
  if (list != null) {
	  iter = list.iterator();
  }
  String value_str[] = null;
  while (iter != null && iter.hasNext()) {
	  value_str = (String[])iter.next();
  %>
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td><input type="checkbox" name="chkId" id="chkId" value="<%=value_str[0]%>"></td>
    <td><%=value_str[1]%>&nbsp;</td>
    <td><%=value_str[2]%>&nbsp;</td>
    <td><%=value_str[3]%>&nbsp;</td>
    <td><%=value_str[4]%>&nbsp;</td>
    <td><%=value_str[5]%>&nbsp;</td>
    <td><%=value_str[6]%>&nbsp;</td>
    <td><%=value_str[9]%>&nbsp;</td>

  </tr>
  <%	  
  }
  %>
</table> 
</form>

<script language="javascript" src="../../../share/js/commonTool.js"></script>
<script language="javascript">
  function Detail() {
  	formList.action = "update.jsp";
  	formList.submit();
  }
</script>

